/***********************************************************************
*                                                                      *
*               This software is part of the ast package               *
*           Copyright (c) 1985-2006 AT&T Knowledge Ventures            *
*                      and is licensed under the                       *
*                  Common Public License, Version 1.0                  *
*                      by AT&T Knowledge Ventures                      *
*                                                                      *
*                A copy of the License is available at                 *
*            http://www.opensource.org/licenses/cpl1.0.txt             *
*         (with md5 checksum 059e8cd6165cb4c31e351f2b69388fd9)         *
*                                                                      *
*              Information and Software Systems Research               *
*                            AT&T Research                             *
*                           Florham Park NJ                            *
*                                                                      *
*                 Glenn Fowler <gsf@research.att.com>                  *
*                  David Korn <dgk@research.att.com>                   *
*                   Phong Vo <kpv@research.att.com>                    *
*                                                                      *
***********************************************************************/
/* : : generated from /usr/src/packages/BUILD/ksh93/src/lib/libast/features/limits.c by iffe version 2005-12-07 : : */
#ifndef _def_limits_ast
#define _def_limits_ast	1
#define _sys_types	1	/* #include <sys/types.h> ok */

#undef	CHAR_BIT
#define CHAR_BIT	8
#undef	MB_LEN_MAX
#define MB_LEN_MAX	16
#undef	UCHAR_MAX
#if defined(__STDC__)
#define UCHAR_MAX	255U
#else
#define UCHAR_MAX	255
#endif
#undef	SCHAR_MIN
#define SCHAR_MIN	(-128)
#undef	SCHAR_MAX
#define SCHAR_MAX	127
#undef	CHAR_MIN
#define CHAR_MIN	SCHAR_MIN
#undef	CHAR_MAX
#define CHAR_MAX	SCHAR_MAX
#undef	USHRT_MAX
#if defined(__STDC__)
#define USHRT_MAX	65535U
#else
#define USHRT_MAX	65535
#endif
#undef	SHRT_MIN
#define SHRT_MIN	(-32768)
#undef	SHRT_MAX
#define SHRT_MAX	32767
#undef	UINT_MAX
#if defined(__STDC__)
#define UINT_MAX	4294967295U
#else
#define UINT_MAX	4294967295
#endif
#undef	INT_MIN
#define INT_MIN		(-2147483648)
#undef	INT_MAX
#define INT_MAX		2147483647
#undef	ULONG_MAX
#if defined(__STDC__)
#define ULONG_MAX	18446744073709551615LU
#else
#define ULONG_MAX	18446744073709551615
#endif
#undef	LONG_MIN
#define LONG_MIN	(-9223372036854775807L-1L)
#undef	LONG_MAX
#define LONG_MAX	9223372036854775807L
#define ULONGLONG_MAX	ULONG_MAX
#define LONGLONG_MIN	LONG_MIN
#define LONGLONG_MAX	LONG_MAX

#undef	AIO_LISTIO_MAX
#define AIO_LISTIO_MAX		2
#undef	_POSIX_AIO_LISTIO_MAX
#define _POSIX_AIO_LISTIO_MAX	2
#undef	AIO_MAX
#define AIO_MAX		1
#undef	_POSIX_AIO_MAX
#define _POSIX_AIO_MAX	1
#undef	AIO_PRIO_DELTA_MAX
#define AIO_PRIO_DELTA_MAX		20
#undef	ARG_MAX
#define ARG_MAX		131072
#undef	_POSIX_ARG_MAX
#define _POSIX_ARG_MAX	4096
#undef	ATEXIT_MAX
#define ATEXIT_MAX		2147483647
#undef	_XOPEN_ATEXIT_MAX
#define _XOPEN_ATEXIT_MAX	32
#undef	BC_BASE_MAX
#define BC_BASE_MAX		99
#undef	_POSIX2_BC_BASE_MAX
#define _POSIX2_BC_BASE_MAX	99
#undef	BC_DIM_MAX
#define BC_DIM_MAX		2048
#undef	_POSIX2_BC_DIM_MAX
#define _POSIX2_BC_DIM_MAX	2048
#undef	BC_SCALE_MAX
#define BC_SCALE_MAX		99
#undef	_POSIX2_BC_SCALE_MAX
#define _POSIX2_BC_SCALE_MAX	99
#undef	BC_STRING_MAX
#define BC_STRING_MAX		1000
#undef	_POSIX2_BC_STRING_MAX
#define _POSIX2_BC_STRING_MAX	1000
#undef	CHARCLASS_NAME_MAX
#define CHARCLASS_NAME_MAX		2048
#undef	CHILD_MAX
#define CHILD_MAX		999
#undef	_POSIX_CHILD_MAX
#define _POSIX_CHILD_MAX	25
#undef	_AST_CLK_TCK
#define _AST_CLK_TCK	60
#undef	_POSIX_CLOCKRES_MIN
#define _POSIX_CLOCKRES_MIN	20000000
#undef	COLL_WEIGHTS_MAX
#define COLL_WEIGHTS_MAX		255
#undef	_POSIX2_COLL_WEIGHTS_MAX
#define _POSIX2_COLL_WEIGHTS_MAX	2
#undef	DELAYTIMER_MAX
#define DELAYTIMER_MAX		2147483647
#undef	_POSIX_DELAYTIMER_MAX
#define _POSIX_DELAYTIMER_MAX	32
#undef	EXPR_NEST_MAX
#define EXPR_NEST_MAX		32
#undef	_POSIX2_EXPR_NEST_MAX
#define _POSIX2_EXPR_NEST_MAX	32
#undef	FCHR_MAX
#define FCHR_MAX		9223372036854775807
#undef	_SVID_FCHR_MAX
#define _SVID_FCHR_MAX	2147483647
#undef	FILESIZEBITS
#define FILESIZEBITS		64
#undef	_POSIX_FILESIZEBITS
#define _POSIX_FILESIZEBITS	32
#undef	HOST_NAME_MAX
#define HOST_NAME_MAX		64
#undef	_POSIX_HOST_NAME_MAX
#define _POSIX_HOST_NAME_MAX	255
#undef	IOV_MAX
#define IOV_MAX		1024
#undef	_XOPEN_IOV_MAX
#define _XOPEN_IOV_MAX	16
#undef	LINE_MAX
#define LINE_MAX		2048
#undef	_POSIX2_LINE_MAX
#define _POSIX2_LINE_MAX	2048
#undef	LINK_MAX
#define LINK_MAX		64535
#undef	_POSIX_LINK_MAX
#define _POSIX_LINK_MAX	8
#undef	LOGIN_NAME_MAX
#define LOGIN_NAME_MAX		256
#undef	_POSIX_LOGIN_NAME_MAX
#define _POSIX_LOGIN_NAME_MAX	9
#undef	_SVID_LOGNAME_MAX
#define _SVID_LOGNAME_MAX	8
#undef	LONG_BIT
#define LONG_BIT		64
#undef	MAX_CANON
#define MAX_CANON		255
#undef	_POSIX_MAX_CANON
#define _POSIX_MAX_CANON	255
#undef	MAX_INPUT
#define MAX_INPUT		255
#undef	_POSIX_MAX_INPUT
#define _POSIX_MAX_INPUT	255
#undef	MQ_OPEN_MAX
#define MQ_OPEN_MAX		8
#undef	_POSIX_MQ_OPEN_MAX
#define _POSIX_MQ_OPEN_MAX	8
#undef	MQ_PRIO_MAX
#define MQ_PRIO_MAX		32768
#undef	_POSIX_MQ_PRIO_MAX
#define _POSIX_MQ_PRIO_MAX	32
#undef	NAME_MAX
#define NAME_MAX		255
#undef	_POSIX_NAME_MAX
#define _POSIX_NAME_MAX	14
#undef	NGROUPS_MAX
#define NGROUPS_MAX		65536
#undef	_POSIX_NGROUPS_MAX
#define _POSIX_NGROUPS_MAX	8
#undef	NL_ARGMAX
#define NL_ARGMAX		4096
#undef	NL_LANGMAX
#define NL_LANGMAX		2048
#undef	NL_MSGMAX
#define NL_MSGMAX		2147483647
#undef	NL_NMAX
#define NL_NMAX		2147483647
#undef	NL_SETMAX
#define NL_SETMAX		2147483647
#undef	NL_TEXTMAX
#define NL_TEXTMAX		2147483647
#undef	NZERO
#define NZERO		20
#undef	OPEN_MAX
#define OPEN_MAX		1024
#undef	_POSIX_OPEN_MAX
#define _POSIX_OPEN_MAX	20
#undef	OPEN_MAX_CEIL
#define OPEN_MAX_CEIL		1024
#undef	PAGESIZE
#define PAGESIZE		4096
#undef	PAGE_SIZE
#define PAGE_SIZE		4096
#undef	PASS_MAX
#define PASS_MAX		8192
#undef	_SVID_PASS_MAX
#define _SVID_PASS_MAX	8
#undef	PATH_MAX
#define PATH_MAX		4096
#undef	_POSIX_PATH_MAX
#define _POSIX_PATH_MAX	256
#undef	PID_MAX
#define PID_MAX		32768
#undef	PIPE_BUF
#define PIPE_BUF		4096
#undef	_POSIX_PIPE_BUF
#define _POSIX_PIPE_BUF	512
#undef	RE_DUP_MAX
#define RE_DUP_MAX		32767
#undef	_POSIX2_RE_DUP_MAX
#define _POSIX2_RE_DUP_MAX	255
#undef	RTSIG_MAX
#define RTSIG_MAX		32
#undef	_POSIX_RTSIG_MAX
#define _POSIX_RTSIG_MAX	8
#undef	SEM_NSEMS_MAX
#define SEM_NSEMS_MAX		256
#undef	_POSIX_SEM_NSEMS_MAX
#define _POSIX_SEM_NSEMS_MAX	256
#undef	SEM_VALUE_MAX
#define SEM_VALUE_MAX		32767
#undef	_POSIX_SEM_VALUE_MAX
#define _POSIX_SEM_VALUE_MAX	32767
#undef	SIGQUEUE_MAX
#define SIGQUEUE_MAX		32
#undef	_POSIX_SIGQUEUE_MAX
#define _POSIX_SIGQUEUE_MAX	32
#undef	SSIZE_MAX
#define SSIZE_MAX		9223372036854775807
#undef	_POSIX_SSIZE_MAX
#define _POSIX_SSIZE_MAX	32767
#undef	STD_BLK
#define STD_BLK		1024
#undef	_SVID_STD_BLK
#define _SVID_STD_BLK	1024
#undef	STREAM_MAX
#define STREAM_MAX		16
#undef	_POSIX_STREAM_MAX
#define _POSIX_STREAM_MAX	8
#undef	SYMLINK_MAX
#define SYMLINK_MAX		4095
#undef	_POSIX_SYMLINK_MAX
#define _POSIX_SYMLINK_MAX	255
#undef	SYMLOOP_MAX
#define SYMLOOP_MAX		8
#undef	_POSIX_SYMLOOP_MAX
#define _POSIX_SYMLOOP_MAX	8
#undef	SYSPID_MAX
#define SYSPID_MAX		2
#undef	_SVID_SYSPID_MAX
#define _SVID_SYSPID_MAX	2
#undef	THREAD_DESTRUCTOR_ITERATIONS
#define THREAD_DESTRUCTOR_ITERATIONS		4
#undef	_POSIX_THREAD_DESTRUCTOR_ITERATIONS
#define _POSIX_THREAD_DESTRUCTOR_ITERATIONS	4
#undef	THREAD_KEYS_MAX
#define THREAD_KEYS_MAX		1024
#undef	_POSIX_THREAD_KEYS_MAX
#define _POSIX_THREAD_KEYS_MAX	128
#undef	THREAD_STACK_MIN
#define THREAD_STACK_MIN		16384
#undef	THREAD_THREADS_MAX
#define THREAD_THREADS_MAX		16384
#undef	_POSIX_THREAD_THREADS_MAX
#define _POSIX_THREAD_THREADS_MAX	64
#undef	TIMER_MAX
#define TIMER_MAX		256
#undef	_POSIX_TIMER_MAX
#define _POSIX_TIMER_MAX	32
#undef	TTY_NAME_MAX
#define TTY_NAME_MAX		32
#undef	_POSIX_TTY_NAME_MAX
#define _POSIX_TTY_NAME_MAX	9
#undef	TZNAME_MAX
#define TZNAME_MAX		6
#undef	_POSIX_TZNAME_MAX
#define _POSIX_TZNAME_MAX	6
#undef	UID_MAX
#define UID_MAX		60002
#undef	_SVID_UID_MAX
#define _SVID_UID_MAX	60002
#undef	WORD_BIT
#define WORD_BIT		32

/*
 * pollution control
 */

#if defined(__STDPP__directive) && defined(__STDPP__ignore)
__STDPP__directive pragma pp:ignore "limits.h"
__STDPP__directive pragma pp:ignore "bits/posix1_lim.h"
#else
#ifndef _BITS_POSIX1_LIM_H
#define _BITS_POSIX1_LIM_H
#endif
#define _LIMITS_H___
#endif

#endif
